Tp::LocationInfo Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::LocationInfo Class Reference
Connection proxies

The LocationInfo class represents the location of a Telepathy Contact. More...

`#include <TelepathyQt/LocationInfo>`

## Public Member Functions
| LocationInfo ()
| LocationInfo (const QVariantMap &location)
| LocationInfo (const LocationInfo &other)
virtual | ~LocationInfo ()
bool | isValid () const
LocationInfo & | operator= (const LocationInfo &other)
QString | countryCode () const
QString | country () const
QString | region () const
QString | locality () const
QString | area () const
QString | postalCode () const
QString | street () const
QString | building () const
QString | floor () const
QString | room () const
QString | text () const
QString | description () const
QString | uri () const
QString | language () const
double | latitude () const
double | longitude () const
double | altitude () const
double | accuracy () const
double | speed () const
double | bearing () const
QDateTime | timestamp () const
QVariantMap | allDetails () const

## Detailed Description

The LocationInfo class represents the location of a Telepathy Contact.

## Constructor & Destructor Documentation

Tp::LocationInfo::LocationInfo | ( |  | ) |

Construct a new LocationInfo object.

Tp::LocationInfo::LocationInfo | ( | const QVariantMap & | location | ) |

Tp::LocationInfo::LocationInfo | ( | const LocationInfo & | other | ) |

Tp::LocationInfo::~LocationInfo | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

bool Tp::LocationInfo::isValid | ( |  | ) | const
| inline

LocationInfo & Tp::LocationInfo::operator= | ( | const LocationInfo & | other | ) |

QString Tp::LocationInfo::countryCode | ( |  | ) | const

QString Tp::LocationInfo::country | ( |  | ) | const

QString Tp::LocationInfo::region | ( |  | ) | const

QString Tp::LocationInfo::locality | ( |  | ) | const

QString Tp::LocationInfo::area | ( |  | ) | const

QString Tp::LocationInfo::postalCode | ( |  | ) | const

QString Tp::LocationInfo::street | ( |  | ) | const

QString Tp::LocationInfo::building | ( |  | ) | const

QString Tp::LocationInfo::floor | ( |  | ) | const

QString Tp::LocationInfo::room | ( |  | ) | const

QString Tp::LocationInfo::text | ( |  | ) | const

QString Tp::LocationInfo::description | ( |  | ) | const

QString Tp::LocationInfo::uri | ( |  | ) | const

QString Tp::LocationInfo::language | ( |  | ) | const

double Tp::LocationInfo::latitude | ( |  | ) | const

double Tp::LocationInfo::longitude | ( |  | ) | const

double Tp::LocationInfo::altitude | ( |  | ) | const

double Tp::LocationInfo::accuracy | ( |  | ) | const

double Tp::LocationInfo::speed | ( |  | ) | const

double Tp::LocationInfo::bearing | ( |  | ) | const

QDateTime Tp::LocationInfo::timestamp | ( |  | ) | const

QVariantMap Tp::LocationInfo::allDetails | ( |  | ) | const